Publish a document Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/document/{document_uuid}/publish

This will make the document un-editable and will upload a DOCX and PDF file to the client.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • document_uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • version integer
    • name string
    • status string
    • last_publishing_error string
    • required_dependants object
      Hide required_dependants attribute Show required_dependants attribute object
      • client-1 string
    • known_dependants object
      Hide known_dependants attribute Show known_dependants attribute object
      • client-1 string
    • public_docx_url string
    • public_sfdt_url string
    • public_pdf_url string
    • public_preview_url string
POST /api/v1/document/{document_uuid}/publish
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/document/6ff8f7f6-1eb3-3525-be4a-3932c805afed/publish' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
[
  {
    "uuid": "05763149-d172-43b1-8798-b623bf41fbeb",
    "created_at": "2026-08-07T15:29:25+01:00",
    "updated_at": "2026-08-07T15:29:25+01:00",
    "version": 3,
    "name": "Welcome Template",
    "status": "published",
    "last_publishing_error": "There was an error converting this file to PDF. Please try again later.",
    "required_dependants": {
      "client-1": "client"
    },
    "known_dependants": {
      "client-1": "ad210a3e-c9e5-458e-8020-3d3243de8ee5"
    },
    "public_docx_url": "https://api.plannrcrm.com/document/e137fd95-a5eb-44cc-8c91-122af289ccae/content/docx?plannr_account_uuid=a55daad7-9707-4e58-a6e9-4f25340f545b",
    "public_sfdt_url": "https://api.plannrcrm.com/document/98b93c4d-d793-4dad-92de-964daadb9db2/content/sfdt?plannr_account_uuid=aa69c041-2102-4f76-bb3d-5e0be09ae4fa",
    "public_pdf_url": "https://api.plannrcrm.com/document/2df5ba49-e9e2-44d8-beda-a97f51e4158d/content/pdf?plannr_account_uuid=2cd7d326-e3f6-4733-9004-e055442eb69c",
    "public_preview_url": "https://api.plannrcrm.com/document/301cf31e-6ba6-41b7-9444-a16fe183bc8a/content/preview?plannr_account_uuid=3d748ade-48fa-4648-a9f7-d1ecba5d5fff"
  }
]